# Method: folders.locations.recommenders.recommendations.markClaimed

- [HTTP request](https://docs.cloud.google.com/recommender/docs/reference/rest/v1beta1/folders.locations.recommenders.recommendations/markClaimed#body.HTTP_TEMPLATE)
- [Path parameters](https://docs.cloud.google.com/recommender/docs/reference/rest/v1beta1/folders.locations.recommenders.recommendations/markClaimed#body.PATH_PARAMETERS)
- [Request body](https://docs.cloud.google.com/recommender/docs/reference/rest/v1beta1/folders.locations.recommenders.recommendations/markClaimed#body.request_body)
  - [JSON representation](https://docs.cloud.google.com/recommender/docs/reference/rest/v1beta1/folders.locations.recommenders.recommendations/markClaimed#body.request_body.SCHEMA_REPRESENTATION)
- [Response body](https://docs.cloud.google.com/recommender/docs/reference/rest/v1beta1/folders.locations.recommenders.recommendations/markClaimed#body.response_body)
- [Authorization scopes](https://docs.cloud.google.com/recommender/docs/reference/rest/v1beta1/folders.locations.recommenders.recommendations/markClaimed#body.aspect)
- [IAM Permissions](https://docs.cloud.google.com/recommender/docs/reference/rest/v1beta1/folders.locations.recommenders.recommendations/markClaimed#body.aspect_1)

Marks the Recommendation State as Claimed. Users can use this method to indicate to the Recommender API that they are starting to apply the recommendation themselves. This stops the recommendation content from being updated. Associated insights are frozen and placed in the ACCEPTED state.

recommendations.markClaimed can be applied to recommendations in CLAIMED or ACTIVE state.

Requires the recommender.\*.update IAM permission for the specified recommender.

### HTTP request

`POST https://recommender.googleapis.com/v1beta1/{name=folders/*/locations/*/recommenders/*/recommendations/*}:markClaimed`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `name` | `string` Required. Name of the recommendation. |

### Request body

The request body contains data with the following structure:

| JSON representation |
|---|
| ``` { "stateMetadata": { string: string, ... }, "etag": string } ``` |

| Fields ||
|---|---|
| `stateMetadata` | `map (key: string, value: string)` State properties to include with this state. Overwrites any existing `stateMetadata`. Keys must match the regex `/^[a-z0-9][a-z0-9_.-]{0,62}$/`. Values must match the regex `/^[a-zA-Z0-9_./-]{0,255}$/`. An object containing a list of `"key": value` pairs. Example: `{ "name": "wrench", "mass": "1.3kg", "count": "3" }`. |
| `etag` | `string` Required. Fingerprint of the Recommendation. Provides optimistic locking. |

### Response body

If successful, the response body contains an instance of `https://docs.cloud.google.com/recommender/docs/reference/rest/v1beta1/billingAccounts.locations.recommenders.recommendations#Recommendation`.

### Authorization scopes

Requires the following OAuth scope:

- `https://www.googleapis.com/auth/cloud-platform`

For more information, see the [Authentication Overview](https://cloud.google.com/docs/authentication/).

### IAM Permissions

Requires **one of** the following [IAM](https://cloud.google.com/iam/docs) permissions on the `name` resource, depending on the resource type:

- `recommender.usageCommitmentRecommendations.update`
- `recommender.computeAddressIdleResourceRecommendations.update`
- `recommender.computeDiskIdleResourceRecommendations.update`
- `recommender.computeImageIdleResourceRecommendations.update`
- `recommender.computeInstanceGroupManagerMachineTypeRecommendations.update`
- `recommender.computeInstanceIdleResourceRecommendations.update`
- `recommender.computeInstanceMachineTypeRecommendations.update`
- `recommender.iamPolicyRecommendations.update`
- `recommender.resourcemanagerProjectUtilizationRecommendations.update`

For more information, see the [IAM documentation](https://cloud.google.com/iam/docs).